Reset Lead Approvals
curl --request POST \
--url https://api.example.com/api/v1/campaigns/{campaign_id}/leads/{campaign_lead_id}/reset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"step_indices": [
123
]
}
'import requests
url = "https://api.example.com/api/v1/campaigns/{campaign_id}/leads/{campaign_lead_id}/reset"
payload = { "step_indices": [123] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({step_indices: [123]})
};
fetch('https://api.example.com/api/v1/campaigns/{campaign_id}/leads/{campaign_lead_id}/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"step_index": 123,
"approved_steps": [
123
],
"approved_entry": {
"subject": "<string>",
"body": "<string>",
"prompt_snapshot": "<string>",
"prompt_version_hash": "<string>",
"lead_identity_fingerprint": "<string>",
"step_index": 123,
"variant_label": "<string>",
"step_config_fingerprint": "<string>",
"approved_at": "2023-11-07T05:31:56Z",
"approved_by": "<string>",
"research_cache_fingerprint": "<string>",
"sender_profile_id": "<string>",
"template_id": "<string>",
"model": "<string>",
"generation_latency_ms": 123
}
}playground
Reset Lead Approvals
Reset approvals for this lead. Omitting step_indices clears every step.
POST
/
api
/
v1
/
campaigns
/
{campaign_id}
/
leads
/
{campaign_lead_id}
/
reset
Reset Lead Approvals
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
POST /campaigns/{id}/leads/{lead_id}/reset body.
step_indices=None OR step_indices=[] clears every approved step. A
non-empty list selectively clears those step indices.
If omitted or empty, all approved steps are cleared.
Response
Successful Response
POST approve/unapprove/reset response.
All step indices currently approved for this lead after the operation.
One entry in campaign_leads.metadata.approved_emails.
Show child attributes
Show child attributes
⌘I